<?php

/*
Plugin Name:       RedPic ADS Manager Lite
Plugin URI:        https://wordpress.org/plugins/rp-ads-manager/
Description:       JS/HTML ads block manager. Allows you to create and insert blocks of code anywhere on the blog.
Version:           1.0.0
Author:            RedPic
Author URI:        https://profiles.wordpress.org/sadikoff
License:           GPL-2.0+
License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
Text Domain:       rp-ads-manager
Domain Path:       /languages
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'RPAM_VERSION', '1.0.0' );
define( 'RPAM_PATH', dirname( __FILE__ ) );

function rp_ads_manager_ns_autoloader( $className ) {
	$class = str_replace( '\\', '/', $className );

	$fileToLoad = RPAM_PATH . '/src/' . substr( $class, 14 ) . '.php';
	if ( is_file( $fileToLoad ) && is_readable( $fileToLoad ) ) {
		include_once $fileToLoad;
	}
}

spl_autoload_register( 'rp_ads_manager_ns_autoloader' );

function activate_rp_ads_manager() {
	\RP\AdsManager\AdsManager::activate();
}

function deactivate_rp_ads_manager() {
	\RP\AdsManager\AdsManager::deactivate();
}

register_activation_hook( __FILE__, 'activate_rp_ads_manager' );
register_deactivation_hook( __FILE__, 'deactivate_rp_ads_manager' );


/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_rp_ads_manager() {

	$plugin = new \RP\AdsManager\AdsManager();
	$plugin->run( is_admin() );

}

run_rp_ads_manager();
