<?php

namespace RP\AdsManager\Backend;


class View {
	private static $default = 'list';

	private static $pages = [
		'list',
		'editor',
	];

	private static $action;
	private static $template;

	private static function parseAction() {
		$action = filter_input( INPUT_GET, 'action', FILTER_SANITIZE_STRING ) ?: self::$default;

		self::$action   = in_array( $action, self::$pages ) ? $action : self::$default;
		self::$template = realpath( dirname( __FILE__ ) . '/templates/' . self::$action . '.php' );
	}

	public static function ManagementPage() {
		self::parseAction();

		wp_enqueue_style( 'rp-ads-manager-style', plugins_url( 'rp-ads-manager/assets/style.css' ) );

		echo self::Draw( Controller::execute( self::$action ) );
	}

	private static function Draw( $vars ) {
		extract( $vars );
		ob_start();
		require_once self::$template;
		$output = ob_get_contents();
		ob_end_clean();

		return $output;
	}
}