<div class="wrap">
    <h1 class="wp-heading-inline">RP Ads Manager</h1>
    <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=editor&type=ads' ) ?>" class="add-new-h2"><?php _e('Create Ad', 'rp-ads-manager') ?></a>
    <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=editor&type=wgt' ) ?>" class="add-new-h2"><?php _e('Create Widget', 'rp-ads-manager') ?></a>
    <hr class="wp-header-end">
	<?php if ($updated): ?>
        <div id="message-success" class="updated notice notice-success is-dismissible">
            <p><?php echo $updated ?></p>
            <button class="notice-dismiss"></button>
        </div>
	<?php endif; ?>
    <table class="wp-list-table widefat fixed striped posts ads-list">
        <thead>
        <tr>
            <td id="cb" class="manage-column column-cb check-column">
                <label class="screen-reader-text" for="cb-select-all-1"><?php _e('Select all', 'rp-ads-manager') ?></label><input id="cb-select-all-1" type="checkbox">
            </td>
            <th scope="col"><?php _e( 'Identifier', 'rp-ads-manager' ); ?></th>
            <th scope="col"><?php _e( 'Use deffered initialization', 'rp-ads-manager' ); ?></th>
            <th scope="col"><?php _e( 'Enabled', 'rp-ads-manager' ); ?></th>
            <th scope="col"><?php _e( 'Places', 'rp-ads-manager' ); ?></th>
            <th scope="col"></th>
        </tr>
        </thead>
        <tbody>
		<?php foreach ( $records as $key => $record ): ?>
            <tr>
                <th scope="row" class="check-column">
                    <label class="screen-reader-text" for="cb-select-<?php echo $key; ?>"><?php _e('Select', 'rp-ads-manager') ?> rp-<?php echo $record['type']; ?>-<?php echo $key; ?></label>
                    <input id="cb-select-<?php echo $key; ?>" type="checkbox" name="post[]" value="<?php echo $key; ?>">
                </th>
                <td>
                    <b class="add-title"><?php echo $record['title']; ?></b>
                    <i class="add-info"><?php _e( $types[ $record['type'] ], 'rp-ads-manager' ); ?> <b>rp-<?php echo $record['type']; ?>-<?php echo $key; ?></b></i>
                </td>
                <td><?php if ( $record['init'] ): ?>Yes<?php else: ?>No<?php endif; ?></td>
                <td><?php if ( $record['enabled'] ): ?>Yes<?php else: ?>No<?php endif; ?></td>
                <td>
                    <?php foreach ($record['places'] as $place): ?>
                    <?php echo $place['title'].', '; ?>
                    <?php endforeach; ?>
                </td>
                <td class="actions" style="text-align: right">
	                <?php if ( $record['enabled'] ): ?>
                        <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=disable&id='.$key ) ?>" class="add-new-h2"><?php _e('Disable', 'rp-ads-manager') ?></a>
	                <?php else: ?>
                        <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=enable&id='.$key ) ?>" class="add-new-h2"><?php _e('Enable', 'rp-ads-manager') ?></a>
	                <?php endif; ?>
                    <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=editor&type='.$record['type'].'&id='.$key ) ?>" class="add-new-h2"><?php _e('Edit', 'rp-ads-manager') ?></a>
                    <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=delete&id='.$key ) ?>" class="add-new-h2 delete"><?php _e('Delete', 'rp-ads-manager') ?></a>
                </td>
            </tr>
		<?php endforeach; ?>
        </tbody>
    </table>
</div>

<script>
    (function ($) {
        $('.delete').on('click', function (e) {
            var confirm = window.confirm('<?php _e('Do you want to delete this object?', 'rp-ads-manager'); ?>');
            if (!confirm) {
                e.preventDefault();
            }
        });
    })(jQuery);
</script>