<?php

namespace RP\AdsManager\Common;

use RP\AdsManager\Database;
use RP\AdsManager\Hook;

class Widget extends Hook
{
    protected $function = 'add_action';

    protected $args = [
        'widgets_init',
        ['RP\\AdsManager\\Common\\Widget', 'processWidgets'],
    ];


    public static function processWidgets()
    {
        if ( ! function_exists('wp_register_sidebar_widget')) {
            return;
        };

        global $wpdb;

        $widgets = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix.Database::ADS_TABLE." WHERE `type` = 'wgt' AND `enabled` = '1'", ARRAY_A);

        foreach ($widgets as $widget) {
            $widget_function = function ($args) use ($widget) {
                $content = get_the_content();
                if (false === strpos($content, "<!--RPAM-OffAds-->") && false === strpos($content, "<!--RPAM-OffWidget-->")) {
                    $code = unserialize($widget['code']);

                    $title = '';

                    if (array_key_exists('show_title', $widget) && $widget['show_title']) {
                        $title = $args['before_title'].$widget['title'].$args['after_title'];
                    }

                    echo $args['before_widget'].$title.$code.$args['after_widget'];
                }
            };

            wp_register_sidebar_widget(
                'rp-wgt-'.$widget['id'],
                'RP Ads :: '.$widget['title'],
                $widget_function,
                ['description' => 'RP Ads Manager Widget :: '.$widget['id']]
            );
        }

        //var_dump($widgets);

        //var_dump('youhooo');
        //die;
    }
}
