<?php

namespace RP\AdsManager;

class Database
{
    const VERSION   = '2.5';
    const DB_OPTION = 'rpam_db_version';

    const ADS_TABLE = 'rpam_ads';
    const REL_TABLE = 'rpam_rel';

    public static function setUp()
    {
        global $wpdb;
        $installed_ver = get_option(self::DB_OPTION);

        if ($installed_ver != self::VERSION) {

            $ads_table = $wpdb->prefix.self::ADS_TABLE;

            $sql = "CREATE TABLE $ads_table (
		                id MEDIUMINT(9) NOT NULL AUTO_INCREMENT,
		                title VARCHAR(32),
		                code LONGTEXT,
		                init LONGTEXT,
		                type ENUM('wgt', 'ads'),
		                enabled TINYINT(1) DEFAULT '1',
		                PRIMARY KEY (id)
		            );
		    ";

            $rel_table = $wpdb->prefix.self::REL_TABLE;

            $sql .= "CREATE TABLE $rel_table (
                        ads_id MEDIUMINT(9) NOT NULL,
                        ple_id MEDIUMINT(9) NOT NULL,
                        options LONGTEXT,
                        PRIMARY KEY (ads_id, ple_id)
                    );
            ";

            require_once(ABSPATH.'wp-admin/includes/upgrade.php');
            dbDelta($sql);

            update_option(self::DB_OPTION, self::VERSION);
        }

    }

    public static function import()
    {
        //global $wpdb;
    }

    public static function checkUpdate()
    {
        if (get_site_option(self::DB_OPTION) != self::VERSION) {
            self::setUp();
        }
    }
}