<?php

namespace RP\AdsManager\Frontend\Hooks;

use RP\AdsManager\Database;
use RP\AdsManager\Frontend\AdHolder;
use RP\AdsManager\Frontend\AdInjector;
use RP\AdsManager\Hook;

class LoopEnd extends Hook {
	protected $function = 'add_action';

	protected $args = [
		'loop_end',
		[ 'RP\\AdsManager\\Frontend\\Hooks\\LoopEnd', 'process' ],
		999,
	];

	public static function process( $wp_query ) {

		$place_id = AdInjector::getPlaceId();

		if ( ! is_null( $place_id ) && $place_id > 2 ) {

			if ( count( AdHolder::$box['bottom'] ) ) {
				$randomKey = array_rand( AdHolder::$box['bottom'] );

				$ad = AdHolder::$box['bottom'][ $randomKey ];

				AdInjector::printit( $ad );
			}
		}
	}
}
