<?php

namespace RP\AdsManager\Frontend\Hooks;

use RP\AdsManager\Database;
use RP\AdsManager\Frontend\AdHolder;
use RP\AdsManager\Frontend\AdInjector;
use RP\AdsManager\Hook;

class LoopStart extends Hook {
	protected $function = 'add_action';

	protected $args = [
		'loop_start',
		[ 'RP\\AdsManager\\Frontend\\Hooks\\LoopStart', 'process' ],
		999,
	];

	/**
	 * @param \WP_Query $wp_query
	 */
	public static function process( $wp_query ) {
		global $wpdb;

		$place_id = AdInjector::getPlaceId();

		if ( ! is_null( $place_id ) && $place_id > 2 ) {

			$ads = $wpdb->get_results( 'SELECT * FROM ' . $wpdb->prefix . Database::ADS_TABLE . ' 
			LEFT JOIN ' . $wpdb->prefix . Database::REL_TABLE . ' AS `r` ON `r`.`ads_id` = `id` AND `r`.`ple_id` = ' . $place_id . '  WHERE `enabled` = 1', ARRAY_A );

			AdHolder::init();

			foreach ( $ads as $ad ) {
				$ad['options'] = unserialize( $ad['options'] );

				switch ( $ad['options']['position'] ) {
					case 'top':
					case 'middle':
					case 'bottom':
						AdHolder::$box[ $ad['options']['position'] ][] = $ad;
						break;
					case 'after-each':
						AdHolder::$box['each'][ $ad['options']['number'] ][] = $ad;
						break;
					case 'after-n-post':
						AdHolder::$box['after'][ $ad['options']['number'] ][] = $ad;
						break;
				}
			}

			if ( count( AdHolder::$box['top'] ) ) {
				$randomKey = array_rand( AdHolder::$box['top'] );

				$ad = AdHolder::$box['top'][ $randomKey ];

				AdInjector::printit( $ad );
			}

			ThePost::$ready = true;
		}
	}
}
