<?php
/**
 * Created by PhpStorm.
 * User: xtech
 * Date: 20.10.2017
 * Time: 12:45
 */

namespace RP\AdsManager;


trait Hookable
{
    /** @var Hook[] */
    private $hooks = [];

    private function registerHooks($dirname)
    {
        $this->findHooks(realpath($dirname));

        foreach ($this->hooks as $hook) {
            $this->register($hook->getFunction(), $hook->getArgs());
        }
    }

    private function findHooks($dirname)
    {
        $files = scandir($dirname.'/Hooks');
        $module = basename($dirname);

        foreach ($files as $file) {
            if (in_array($file, ['.', '..'])) {
                continue;
            }

            $hookClass = __NAMESPACE__.'\\'.$module.'\\Hooks\\'.substr($file, 0, -4);

            $this->hooks[] = new $hookClass;
        }
    }
}