<?php

namespace RP\AdsManager;


trait Runable
{
    /**
     * @var
     */
    private $_functions = [];

    public function run()
    {
        foreach ($this->_functions as $function) {
            call_user_func_array($function['name'], $function['args']);
        }
    }

    private function register($function, $args)
    {
        $this->_functions[] = [
            'name' => $function,
            'args' => $args,
        ];
    }
}